import { ModuleWithProviders }  from '@angular/core';
import { RouterModule }         from '@angular/router';
import { ConfigFormComponent }  from './component/config-form.component';
import { ConfigListComponent }  from './component/config-list.component';
import { CanDeactivateGuard }   from '../../shared/index';

export const routing: ModuleWithProviders = RouterModule.forChild([  
    { path: ''        , component: ConfigListComponent },
    { path: 'form/:id', component: ConfigFormComponent },
    { path: 'form'    , component: ConfigFormComponent }
]);