import {NgModule}                               from '@angular/core';

/* Other Modules */
import {SharedModule}                           from '../../shared/shared.module';
/* Components */
import {ConfigListComponent} from './component/config-list.component';
import {ConfigFormComponent} from './component/config-form.component';
import {ConfigListTableViewComponent} from './component/config-list-tableview.component';
/* Routing */
import {routing}                                from './config.routing';

@NgModule({
  imports:      [SharedModule,routing],  
  declarations: [ConfigListComponent, 
                 ConfigFormComponent, 
                 ConfigListTableViewComponent],
  providers: [ ]  
})
export class ConfigModule { }