import {NgModule}                     from '@angular/core';

/* Other Modules */
import { SharedModule } from '../shared/shared.module';

import {TestComponent}           from './component/test.component';
import {FormularioFormComponent} from './component/formulario-form.component';
import {routing}                 from './test.routing';
import {TestService}             from './shared/test.service';

@NgModule({
   imports:         [ SharedModule, routing ],
   declarations:    [ TestComponent, FormularioFormComponent ],
   providers:       [ TestService ],
   exports:         [ TestComponent, FormularioFormComponent ]
})
export class TestModule
{}