"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/**
* Cambia a mayúscula el primer carácter de un texto.
*/
var CapitalizePipe = /** @class */ (function () {
    function CapitalizePipe() {
    }
    CapitalizePipe.prototype.transform = function (texto) {
        if (texto && texto.length > 0) {
            return texto.charAt(0).toUpperCase() + texto.slice(1);
        }
        else {
            return texto;
        }
    };
    CapitalizePipe.decorators = [
        { type: core_1.Pipe, args: [{ name: "capitalize" },] },
    ];
    return CapitalizePipe;
}());
exports.CapitalizePipe = CapitalizePipe;
//# sourceMappingURL=capitalize.pipe.js.map